org.apache.activemq.artemis.api.config

## Class ServerLocatorConfig

- java.lang.Object
- - org.apache.activemq.artemis.api.config.ServerLocatorConfig

-     public class ServerLocatorConfig
      extends Object

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `int` | `ackBatchSize`
    `boolean` | `autoGroup`
    `boolean` | `blockOnAcknowledge`
    `boolean` | `blockOnDurableSend`
    `boolean` | `blockOnNonDurableSend`
    `boolean` | `cacheLargeMessagesClient`
    `long` | `callFailoverTimeout`
    `long` | `callTimeout`
    `long` | `clientFailureCheckPeriod`
    `boolean` | `compressLargeMessage`
    `int` | `confirmationWindowSize`
    `String` | `connectionLoadBalancingPolicyClassName`
    `long` | `connectionTTL`
    `int` | `consumerMaxRate`
    `int` | `consumerWindowSize`
    `int` | `initialConnectAttempts`
    `int` | `initialMessagePacketSize`
    `long` | `maxRetryInterval`
    `int` | `minLargeMessageSize`
    `boolean` | `preAcknowledge`
    `int` | `producerMaxRate`
    `int` | `producerWindowSize`
    `int` | `reconnectAttempts`
    `long` | `retryInterval`
    `double` | `retryIntervalMultiplier`
    `int` | `scheduledThreadPoolMaxSize`
    `int` | `threadPoolMaxSize`
    `boolean` | `useGlobalPools`
    `boolean` | `useTopologyForLoadBalancing`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ServerLocatorConfig()`
    `ServerLocatorConfig(ServerLocatorConfig locator)`

  - ### Method Summary

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### clientFailureCheckPeriod

          public long clientFailureCheckPeriod

    - #### connectionTTL

          public long connectionTTL

    - #### callTimeout

          public long callTimeout

    - #### callFailoverTimeout

          public long callFailoverTimeout

    - #### minLargeMessageSize

          public int minLargeMessageSize

    - #### consumerWindowSize

          public int consumerWindowSize

    - #### consumerMaxRate

          public int consumerMaxRate

    - #### confirmationWindowSize

          public int confirmationWindowSize

    - #### producerWindowSize

          public int producerWindowSize

    - #### producerMaxRate

          public int producerMaxRate

    - #### blockOnAcknowledge

          public boolean blockOnAcknowledge

    - #### blockOnDurableSend

          public boolean blockOnDurableSend

    - #### blockOnNonDurableSend

          public boolean blockOnNonDurableSend

    - #### autoGroup

          public boolean autoGroup

    - #### preAcknowledge

          public boolean preAcknowledge

    - #### ackBatchSize

          public int ackBatchSize

    - #### connectionLoadBalancingPolicyClassName

          public String connectionLoadBalancingPolicyClassName

    - #### useGlobalPools

          public boolean useGlobalPools

    - #### threadPoolMaxSize

          public int threadPoolMaxSize

    - #### scheduledThreadPoolMaxSize

          public int scheduledThreadPoolMaxSize

    - #### retryInterval

          public long retryInterval

    - #### retryIntervalMultiplier

          public double retryIntervalMultiplier

    - #### maxRetryInterval

          public long maxRetryInterval

    - #### reconnectAttempts

          public int reconnectAttempts

    - #### initialConnectAttempts

          public int initialConnectAttempts

    - #### initialMessagePacketSize

          public int initialMessagePacketSize

    - #### cacheLargeMessagesClient

          public boolean cacheLargeMessagesClient

    - #### compressLargeMessage

          public boolean compressLargeMessage

    - #### useTopologyForLoadBalancing

          public boolean useTopologyForLoadBalancing

  - ### Constructor Detail

    - #### ServerLocatorConfig

          public ServerLocatorConfig()

    - #### ServerLocatorConfig

          public ServerLocatorConfig(ServerLocatorConfig locator)

Copyright © 2021 The Apache Software Foundation. All rights reserved.